Arch Linux

inkscape crashes when opening document properties

Reported by sobczyk on 2010-10-11
264
This bug affects 57 people
Affects Status Importance Assigned to Milestone
Inkscape
High
Jon A. Cruz
inkscape (Arch Linux)
New
Undecided
Unassigned
inkscape (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Opening "Document properties" dialog crashes inkscape on KDE4 (Kubuntu Maverick) with Oxygen iconset

Iconset "GNOME" causes no problems.

Other iconset downloaded for test "Hycons" crashed Inkscape on launch.

Software:
Inkscape 0.48.0 r9654 (Sep 20 2010)

== Ubuntu stable release update (SRU) notes ==
* IMPACT/JUSTIFICATION: This bug causes Inkscape to crash whenever the "Document properties" dialog is opened. It affects all Kubuntu Maverick users, with the Oxygen or Hycons icon themes. Given that this is an essential dialog in Inkscape, and a commonly-used theme in Kubuntu, it makes sense to backport the fix to Maverick.

* DETAILS OF FIX: The bug is fixed in the latest upstream version of Inkscape (0.48.1), which is a bug-fix only release. This version has been released in Natty as inkscape_0.48.1-0ubuntu1 (and higher). The upstream fix was applied in bzr in r9745 of lp:inkscape/0.48.x.

* PATCH DETAILS: The upstream patch has been attached to this report (see 9745_9744.diff). This patch fixes the single issue described in this report, and introduces no additional changes.

* TEST CASE: Apply Oxygen icon set and open "Document Properties" dialog. Inkscape crashes.

* REGRESSION POTENTIAL: As far as I know, no new bugs have been reported concerning the "Document properties" dialog in 0.48.1 since this patch was applied.

-- Alex Valavanis

sobczyk (sobczyk) wrote :
sobczyk (sobczyk) wrote :
sobczyk (sobczyk) wrote :
sobczyk (sobczyk) wrote :
~suv (suv-lp) wrote :

Second crash (Hycons icon set) seems related to
Bug #651678 in Inkscape: “anjuta crashes with assertion failure on startup”
<https://bugs.launchpad.net/inkscape/+bug/651678>

tags: added: crash ui
Changed in inkscape:
importance: Undecided → High
Liviu Beraru (beraru-liviu) wrote :

Same here: fresh install of Kubuntu Maverick; after installing Inkscape from the Repositories, I started it, clicked on document properties and Inskape crashes. Every time.

~suv (suv-lp) wrote :

@Liviu - which icon set/theme are you using?

J Lorieau (justin-lorieau) wrote :

I am running KDE 3.5 (Kunbuntu), and I had this problem too. Changing the GTK widget theme seems to have resolved the issue for me.

System Settings > Application Appearance > GTK+ Appearance > Widget Style

I changed it from "QtCurve" to "New Wave" and inkscape no longer crashes when opening the Document Properties.

~suv (suv-lp) on 2010-10-12
Changed in inkscape:
status: New → Confirmed
Liviu Beraru (beraru-liviu) wrote :

@~suv: I am using the default Kubuntu theme, Oxygen.

Liviu Beraru (beraru-liviu) wrote :

Just changed the gtk+ appearance to raleigh and now Inkscape crashed immediately after starting, saying that "Inkscape encountered an internal error ad will close now".

~suv (suv-lp) wrote :

@Liviu - that's bug #651678 (see its duplicate bug #656416) - obviously related, but possibly needs to be addressed separately.

mxyzptlk (mxyzptlk) wrote :

Same here, getting a crash whenever I open the properties on the ubuntu-mono-light .svg icons.

But I can go into the xml file through inkscape and make the necessary changes; it's just too many extra steps to be useful.

mrvanes (mrvanes) wrote :

Using Kubuntu 10.10 (KDE 4.5.2) I had the same problem. These steps resolved the issue(s) for me:

Setting GTK+ widget style to Clearlooks (resolves crash at document properties)
Installing package: gnome-icon-theme (resolves crash at start)

Liviu Beraru (beraru-liviu) wrote :

@mrvanes: thank you! This solved the problem and now I can continue my work. One note: I had to install the package gnome-themes-selected in order to use th clearlooks theme for the gtk widgets.

noah anderson (raoul-fleckman) wrote :

Confirm @mrvanes and @J Lorieau (thanks folks!) on Kubuntu 10.10 changing the GTK+ widget style prevents the crash. However, at least with Clearlooks, one starts to see some odd misplaced screen details. Opening a document and just moving around the cursor fills the surrounding units/dimension frame with triangular position tracking markers. That is, it fails to remove the markers from where the cursor corresponded previously.

~suv (suv-lp) wrote :

@noah - the ruler updating issue is tracked in bug #627134 in Inkscape: “Ghosts of pointer's past (ruler refreshing problem)”
<https://bugs.launchpad.net/ubuntu/+source/inkscape/+bug/627134>

affects: ubuntu → inkscape (Ubuntu)
Changed in inkscape (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in inkscape:
status: Confirmed → Triaged
Sune Posselt (suneposselt) wrote :

Also happening on up to date Arch Linux with Inkscape 0.48.0 r9654 and KDE 4.5.2. Changing gtk style from Oxygen to something else fixes problem, as does changing icon theme from Oxygen to Gnome.

DiegoSG (cciocolattajames) wrote :

I have Arch Linux with kde 4, oxygen theme and inkscape 0.48 the solution is install gnome-icon-theme, maybe delete the foldier /home/user/.config/inkscape before..... sorry by my bad english :P

On Fri, Oct 15, 2010 at 3:43 PM, DiegoSG <email address hidden> wrote:
> I have Arch Linux with kde 4, oxygen theme and inkscape 0.48 the
> solution is  install gnome-icon-theme, maybe delete the foldier
> /home/user/.config/inkscape before..... sorry by my bad english :P
>

That's not a solution. I like the looks of my desktop the way it is.

playmobil (f-bresson) wrote :

Same problem with maverick 64 bits. Changing theme for GTK applications (I just tried with Raleigh) is a good workaround.

asrail (caiotg) wrote :

Using the shortcut for the same action:

(inkscape:14323): glibmm-CRITICAL **:
unhandled exception (type Glib::Error) in signal handler:
domain: gtk-icon-theme-error-quark
code : 0
what : Icon 'gtk-properties' not present in theme

and you notice that the root of the issue is that gtk-properties (or any gtk- icon) is not present on the Oxygen iconset either on the oxygen-icon-theme-complete package.
Since there is no fallback set, it crashes.

Probably the solution should be provided by qtcurve, since it intends to be a mimics the kde style on gtk applications. Indeed, it should provide alternative for the gtk- icons.

If I symlink document-properties.png (of oxygem-icon-theme) to gtk-properties.png, inkscape also stops crashing.
Using qtcurve and oxygen iconset.

Craig (craigrcolton) wrote :

On Mon, Oct 18, 2010 at 6:35 PM, asrail <email address hidden> wrote:

> and you notice that the root of the issue is that gtk-properties (or any gtk- icon) is not present on the Oxygen iconset either on the oxygen-icon-theme-complete package.
> Since there is no fallback set, it crashes.
>
> Probably the solution should be provided by qtcurve, since it intends to
> be a mimics the kde style on gtk applications. Indeed, it should provide
> alternative for the gtk- icons.
>
> If I symlink document-properties.png (of oxygem-icon-theme) to gtk-properties.png, inkscape also stops crashing.
> Using qtcurve and oxygen iconset.

Good work. I'll see if that works for me.

japs_it88 (j-nespolo) wrote :

symlinking worked for me as well. Thanks!

I installed a GTK theme called oxygen-molecule and it fixed the problem.

Jörn Hees (joernhees) wrote :

I had the same problem in Kubuntu 10.10. After a few guys have pointed out symlinking here's a very easy command which works around the problem:
 ln -s /usr/share/icons/oxygen/48x48/actions/document-properties.png ~/.config/inkscape/icons/gtk-properties.png
This will just tell inkscape to use the document-properties.png icon as gtk-properties.png, no other settings required (I'm using oxygen with gtk+ qtcurve).

Jörn Hees (joernhees) wrote :

(note that the ~/.config.... is in the same line as the ln -s...)

Kubuntu users using QtCurve, just run 'sudo apt-get install gnome-icon-theme' and in the QtCurve settings uder Avanced Settings make sure that the field Gtk icons [ ] Use KDE equivalent isn't checked.

This workaround fixes and the starting of the application, and the document properties window.

~suv (suv-lp) wrote :

Could anyone test if Inkscape still crashes on opening the document properties dialog if it uses the attached icons file? It contains a new (fallback) icon with id="gtk-properties" - possibly inkscape takes it from its own icon file if not found among the stock icons provided by the icon theme. Test proposed by Jon Cruz in #inkscape (irc).

To use the new icons file:
- replace '/usr/share/inkscape/icons/icons.svg'
- don't forget to backup the original first

toams (toams) wrote :

hi ~suv,

i replaced the icons.svg file, but it still crashes here

toams (toams) wrote :

i replaced the icons.svg file, but it still crashes here

Craig (craigrcolton) wrote :

I can confirm that it still crashes. I think we're on the right track,
though. If I paste oxygen's 16x16 "document-properties.png" into
/usr/share/inkskape/icons and rename it "gtk-properties", inkscape's
document properties dialog works as expected.

I've been in contact with the qtcurve developer. System icons should
be getting mapped via ~/.config/qtcurve/gtk-icons. I guess inkscape
carries its own icons, ignores the mapping file (for some reason), and
has no fallback.

Craig

Craig (craigrcolton) wrote :

On Sat, Oct 23, 2010 at 7:52 AM, Craig <email address hidden> wrote:
> I can confirm that it still crashes. I think we're on the right track,
> though. If I paste oxygen's 16x16 "document-properties.png" into
> /usr/share/inkskape/icons and rename it "gtk-properties", inkscape's
> document properties dialog works as expected.
>
> I've been in contact with the qtcurve developer. System icons should
> be getting mapped via ~/.config/qtcurve/gtk-icons. I guess inkscape
> carries its own icons, ignores the mapping file (for some reason), and
> has no fallback.
>
> Craig
>

Should have said "I can confirm that inkscape still crashes when
opening the document properties dialog" (just to be clear).

Jon A. Cruz (jon-joncruz) wrote :

What Inkscape does is install it's own icons as fallback versions for what it has, then later on asks GTK via its standard loading mechanism to load the given icon by string name. From that point it's up to GTK and the themes involved to resolve things and return the proper one. Sounds like it could be a change in GTK or elsewhere, since the Inkscape code has not changed.

Craig (craigrcolton) wrote :

On Sat, Oct 23, 2010 at 12:02 PM, Jon A. Cruz <email address hidden> wrote:
> What Inkscape does is install it's own icons as fallback versions for
> what it has, then later on asks GTK via its standard loading mechanism
> to load the given icon by string name. From that point it's up to GTK
> and the themes involved to resolve things and return the proper one.
> Sounds like it could be a change in GTK or elsewhere, since the Inkscape
> code has not changed.

It seems like the correct behavior would be to display the dialog
without an icon if one is not available. Why does Inkscape crash as
the result of a simple, single missing 16x16 icon? (This is not just
the dialog that's crashing).

This is happening on a default Kubuntu 10.10 setup. I love Inkscape
and think its a great piece of software. I should be able to run it on
a straight kde setup, though regardless of the theme.

Craig (craigrcolton) wrote :

Could someone with a mostly unaltered system try this command and see
if it makes any difference on their system:

sudo gtk-update-icon-cache /usr/share/icons/oxygen/

Mine's been messed around with so much, I can't tell if its this or
some other change (or a combination).

Michael Binder (firehawk) wrote :

Inkspace crashed on Kubuntu 10.10 with the following error message in the console:

(inkscape:5743): glibmm-CRITICAL **:
unhandled exception (type Glib::Error) in signal handler:
domain: gtk-icon-theme-error-quark
code : 0
what : Icon 'gtk-properties' not present in theme

terminate called after throwing an instance of 'Gtk::IconThemeError'

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Aborted

After "sudo gtk-update-icon-cache /usr/share/icons/oxygen/" it crashes with:

terminate called after throwing an instance of 'Gtk::IconThemeError'

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Aborted

Craig (craigrcolton) wrote :

On Sun, Oct 24, 2010 at 9:20 AM, Michael Binder

> After "sudo gtk-update-icon-cache /usr/share/icons/oxygen/" it crashes with:
>
> terminate called after throwing an instance of 'Gtk::IconThemeError'
>
> Emergency save activated!
> Emergency save completed. Inkscape will close now.
> If you can reproduce this crash, please file a bug at www.inkscape.org
> with a detailed description of the steps leading to the crash, so we can fix it.
> Aborted
>
Just to be sure - did the command return with:

gtk-update-icon-cache: Cache file created successfully.

If not could you run it with "-f" for force, ie :

sudo gtk-update-icon-cache -f /usr/share/icons/oxygen/

Thanks,
Craig

Craig (craigrcolton) wrote :

Another simple system-wide workaround:

sudo ln -sv /usr/share/icons/oxygen/16x16/actions/document-properties.png
/usr/share/icons/oxygen/16x16/actions/gtk-properties.png

sudo gtk-update-icon-cache /usr/share/icons/oxygen/

JanWilson (jan-corozal) wrote :

Craig's workaround in #40 worked fine for me. Kubuntu Maverick.

~suv (suv-lp) wrote :

Also affects Inkscape 0.48 and current trunk on Mac OS X after upgrading to GTK+ 2.22 (via MacPorts).

Possible workaround with MacPorts: install the port 'gnome-icon-theme' and add the following line to '~/.gtkrc-2.0':
gtk-icon-theme-name = "gnome"

Krzysztof Kosinski (tweenk) wrote :

Please test whether r9909 of trunk fixes this specific problem (crash after opening document properties dialog). Crashes related to the recent files manager have a different cause and are not be fixed yet.

Changed in inkscape:
assignee: nobody → Krzysztof Kosinski (tweenk)
milestone: none → 0.48.1
Changed in inkscape:
status: Triaged → In Progress
~suv (suv-lp) wrote :

Fix (r9909) tested and confirmed with Inkscape 0.48+devel r9912 (GTK+ 2.22.1) on OS X 10.5.8, using no specific icon theme (or explicitly set 'gtk-icon-theme-name = "hicolor"' in '~/.gtkrc-2.0'): Inkscape no longer crashes when opening 'Document Properties' and uses a generic icon for the (docked) dialog.

pbhj (pbhj) wrote :
Download full text (8.2 KiB)

I tried the fix by Craig in #40 and didn't work for me on Kubuntu 10.10.

I get:

$ gdb inkscape
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/inkscape...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/inkscape
[Thread debugging using libthread_db enabled]
terminate called after throwing an instance of 'Gtk::IconThemeError'

Program received signal SIGABRT, Aborted.
0x00007fffef7d8ba5 in raise (sig=<value optimised out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
        in ../nptl/sysdeps/unix/sysv/linux/raise.c
(gdb) bt
#0 0x00007fffef7d8ba5 in raise (sig=<value optimised out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1 0x00007fffef7dc6b0 in abort () at abort.c:92
#2 0x00007ffff00166bd in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#3 0x00007ffff0014906 in ?? () from /usr/lib/libstdc++.so.6
#4 0x00007ffff0014933 in std::terminate() () from /usr/lib/libstdc++.so.6
#5 0x00007ffff0014a3e in __cxa_throw () from /usr/lib/libstdc++.so.6
#6 0x00007ffff7a38a3f in Gtk::IconThemeError::throw_func(_GError*) () from /usr/lib/libgtkmm-2.4.so.1
#7 0x00007ffff6baab92 in Glib::Error::throw_exception(_GError*) () from /usr/lib/libglibmm-2.4.so.1
#8 0x00007ffff7a37f9d in Gtk::IconTheme::load_icon(Glib::ustring const&, int, Gtk::IconLookupFlags) const () from...

Read more...

Changed in inkscape:
status: In Progress → Fix Committed
jazzynico (jazzynico) wrote :

Committed in the 0.48.x branch, revision 9735.

Evandro Myller (emyller) wrote :

I am a KDE user, and just noticed that using oxygen-gtk[1] (a very recent project that really does a great job on making GTK+ apps feel like Qt apps) fixes the problem. It brings along some weird behaviors on widgets (maybe they don't exist anymore with the last commit), but everything works fine and I see no crashes at all.

Switching back to QtCurve causes the crash to happen.

[1]: http://gitorious.org/oxygen-gtk

Changed in inkscape:
status: Fix Committed → In Progress
assignee: Krzysztof Kosinski (tweenk) → Jon A. Cruz (jon-joncruz)
Jon A. Cruz (jon-joncruz) wrote :

Confirmed that the change in r9909 is a temporary work-around, and that the true fix is to determine if the icon lives in the IconTheme or as a Stock item. Instead of try/catch a simple check of IconTheme::has_icon() can be done and stock items loaded when needed.

Jon A. Cruz (jon-joncruz) wrote :

Fixed in trunk revision 9745. Now shows the correct icon for document properties, not the generic fallback.

Changed in inkscape:
status: In Progress → Fix Committed
Jon A. Cruz (jon-joncruz) wrote :

Fix backported to the 0.48.x branch as revision 9937.

~suv (suv-lp) wrote :

Fix confirmed with Inkscape 0.48+devel r9938 on OS X 10.5.8
(up-to-date MacPorts with gtk2 @2.22.1, glib2 @2.26.1)

Related revisions:
inkscape trunk: 9937
inkscape 0.48.x: 9745

Saleel Velankar (sealv) wrote :

The following workaround worked; just as advertised above (Thanks!) :

I ran these in konsole:

1. cd /usr/share/icons/oxygen/16x16/actions/
2. sudo ln -s document-properties.png gtk-properties.png
3. sudo gtk-update-icon-cache /usr/share/icons/oxygen/

Now inkscape behaves as it should.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package inkscape - 0.48.1-0ubuntu1

---------------
inkscape (0.48.1-0ubuntu1) natty; urgency=low

  * New upstream version (LP: #710619). Fixes several Ubuntu bugs:
    - Node editing causes segmentation fault (LP: #544599)
    - Cursor position markers are not cleared from rulers (LP: #627134)
    - Crashes when opening document properties (LP: #658055)
    - Export to XCF error with default template (LP: #485032)
    - Editing a connector in a transformed group returns it to original
      position (LP: #533897)
    - Ungrouping objects changes position of arrow lines (LP: #552289)
    - Will not save XCF file (LP: #642417)
    - XCF export fails when exporting from unsaved document (LP: #650890)
  * Drop all patches: Applied upstream
  * debian/rules: Disable chmod on debian/patches/* in clean rule (no patches used)
 -- Alexander Valavanis <email address hidden> Tue, 01 Feb 2011 12:53:34 +0000

Changed in inkscape (Ubuntu):
status: Triaged → Fix Released
Alex Valavanis (valavanisalex) wrote :

Adding upstream patch for backport testing in Ubuntu

Joshua Kugler (jkugler) wrote :

When will this fix be released for Maverick (10.10), seeing as that was the version against which the bug was reported, and Maverick is still supported. :)

Alex Valavanis (valavanisalex) wrote :

Hi Joshua,

I will start work on a stable release update (SRU) today, hopefully. It takes a while for SRUs to be processed, because any mistakes can affect a vast number of people, so please keep an eye on this report for updates!

description: updated
Alex Valavanis (valavanisalex) wrote :

Subscribing ubuntu-sru to determine whether this is an acceptable issue/patch for an SRU. I will create a debdiff later today (I'm working in Windows 7 at the moment, I'm afraid!).

Alex Valavanis (valavanisalex) wrote :

Finally got round to creating a debdiff (attached)

Alex Valavanis (valavanisalex) wrote :

Successful PPA builds on i386 & amd64. The PPA package is now available for testing.

jazzynico (jazzynico) on 2011-03-05
Changed in inkscape:
status: Fix Committed → Fix Released
Alex Valavanis (valavanisalex) wrote :

Finally got round to testing this in a clean Kubuntu Maverick 32-bit virtual machine. The bug disappears with the attached inkscape_0.48.0-1ubuntu1.2 package.

@Sponsors - please consider an upload to maverick-proposed

Benjamin Drung (bdrung) wrote :

Thanks for your contribution. Uploaded inkscape 0.48.0-1ubuntu1.2 to maverick-proposed.

Changed in inkscape (Ubuntu Maverick):
status: New → Fix Committed
Changed in inkscape (Ubuntu Maverick):
milestone: none → maverick-updates

Accepted inkscape into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

This update fixed it for me. Thanks!

Martin Pitt (pitti) on 2011-03-31
tags: added: verification-done
removed: verification-needed
GreatBunzinni (greatbunzinni) wrote :

I'm running inkscape 0.48 on kubungu 10.10 (package version Version: 0.48.0-1ubuntu1.1) and this bug still persists.

Alex Valavanis (valavanisalex) wrote :

@GreatBunzinni - Yes, that is correct. Please try enabling the maverick-backports repository, and upgrade to package version 0.48.0-1ubuntu1.2. That should fix the problem for you.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package inkscape - 0.48.0-1ubuntu1.2

---------------
inkscape (0.48.0-1ubuntu1.2) maverick-proposed; urgency=low

  * Backport upstream patch 03-fix-kubuntu-document-properties.dpatch to
    prevent a crash when opening the document properties dialog in
    KDE (LP: #658055)
 -- Alex Valavanis <email address hidden> Sat, 19 Mar 2011 02:31:12 +0100

Changed in inkscape (Ubuntu Maverick):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers